Oore CI

Purge runner caches

Asks a runner to delete its dependency caches (pub, Gradle, CocoaPods and Xcode DerivedData). The runner purges before its next build and clears `cache_purge_requested_at` through its heartbeat.

Operation IDpurge_runner_caches
POST
/v1/runners/{runner_id}/caches/purge

Asks a runner to delete its dependency caches (pub, Gradle, CocoaPods and Xcode DerivedData). The runner purges before its next build and clears cache_purge_requested_at through its heartbeat.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

runner_id*string

Runner ID

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/runners/string/caches/purge"
{  "runner": {    "cache_purge_requested_at": 0,    "capabilities": {},    "created_at": 0,    "custom_labels": [      "string"    ],    "disk_pressure": null,    "id": "string",    "labels": [      "string"    ],    "last_heartbeat_at": 0,    "metrics": null,    "name": "string",    "registered_by": "string",    "status": "online",    "updated_at": 0  }}